Subject: Re: [Dri-devel] Re: Kind of success! (r128 on PPC (Re: LinuxPPC X Server))

From: Josh Huber <[email-masked]>
Date: Mon, 7 Aug 2000 09:31:24 -0400

On Mon, Aug 07, 2000 at 09:08:01AM +0200, Michel D?nzer wrote:
> Benjamin Herrenschmidt wrote:
> > The Pismo allows that by scaling the LCD, but I don't think code for that
> > is implemented in the XFree r128 driver (I didn't check lately).
> 
> No it doesn't work, neither with aty128fb. Would that be hard to implement?

If it's anything like the mach 64, it shouldn't be hard to implement
at all.  you just have to program 3 registers.

Speaking of this, I'm having trouble with the stretching setup for my
wallstreet.  It works fine in console mode, but something in the X
server is messing with the chip setup in a way to screw up the
rendering.  After playing with it I was able to get proper output:

console settings:
    mclk = 99.844107 MHz
    vclk = 44.702930 MHz
    dsp_loop_latency = 10
    dsp_precision = 5
    dsp_xclks_per_row = 1143 => 17.859375
    dsp_on = 69 => 34.500000
    dsp_off = 1113 => 556.500000

X (xf4.0.1) settings:
    mclk = 99.844107 MHz
    vclk = 44.702930 MHz
    dsp_loop_latency = 10
    dsp_precision = 4
    dsp_xclks_per_row = 1143 => 8.929688
    dsp_on = 103 => 25.750000
    dsp_off = 1119 => 279.750000

X after tweaks to get it working properly:
    mclk = 99.844107 MHz
    vclk = 59.603906 MHz
    dsp_loop_latency = 10
    dsp_precision = 4
    dsp_xclks_per_row = 1143 => 8.929688
    dsp_on = 131 => 32.750000
    dsp_off = 1986 => 496.500000

using geerts handy ati debugging application, I set the vclk post
divider to 3 (was 4), and changed the high and low watermarks back to
what the console settings were, and things worked great in X now.  Of
course, if I switch back to a VC and back to X the old (bad) settings
come back.

Where's the proper place to fix this?  I assume it's not in the fbcon
interface, because text mode is correctly displayed.

Thoughts?

-- 
Josh
6B21489A | GnuPG ID/Fingerprint | [email-masked] |
61F0 6138 BE7B FEBF A223  E9D1 BFE1 2065 6B21 489A